#/usr/bin/env python
import io
import re
from setuptools import setup, find_packages


with io.open('./cassowary/__init__.py', encoding='utf8') as version_file:
    version_match = re.search(r"^__version__ = ['\"]([^'\"]*)['\"]", version_file.read(), re.M)
    if version_match:
        version = version_match.group(1)
    else:
        raise RuntimeError("Unable to find version string.")


with io.open('README.rst', encoding='utf8') as readme:
    long_description = readme.read()


setup(
    name='cassowary',
    version=version,
    description='A pure Python implementation of the Cassowary constraint solving algorithm.',
    long_description=long_description,
    author='Brodderick Rodriguez',
    author_email='bcr@brodderick.com',
    url='http://brodderick.com/projects/cassowary',
    packages=find_packages(exclude=['docs', 'tests']),
    install_requires=[],
    license='Apache-2.0',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Scientific/Engineering :: Mathematics',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ],
    test_suite='tests'
)
